From: lhh@sourceware.org <lhh@sourceware.org>
To: cluster-devel.redhat.com
Subject: [Cluster-devel] cluster/rgmanager/init.d rgmanager
Date: 15 Jun 2007 21:10:20 -0000 [thread overview]
Message-ID: <20070615211020.24250.qmail@sourceware.org> (raw)
CVSROOT: /cvs/cluster
Module name: cluster
Branch: RHEL5
Changes by: lhh at sourceware.org 2007-06-15 21:10:20
Modified files:
rgmanager/init.d: rgmanager
Log message:
Fix #243691
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/init.d/rgmanager.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.5&r2=1.5.2.1
--- cluster/rgmanager/init.d/rgmanager 2006/06/02 17:37:10 1.5
+++ cluster/rgmanager/init.d/rgmanager 2007/06/15 21:10:20 1.5.2.1
@@ -32,17 +32,6 @@
LOG_NOTICE=5
LOG_INFO=6
-#
-# Only root wants to run this...
-#
-[ `id -u` = 0 ] || exit 0
-
-#
-# If we're not configured, then don't start anything.
-#
-[ "${NETWORKING}" = "yes" ] || exit 0
-[ -f "$CFG_FILE" ] || exit 0
-
#
# log_and_print <level> <message>
@@ -90,9 +79,17 @@
}
-
case $1 in
start)
+ #
+ # If we're not configured, then don't start anything.
+ #
+ if [ "${NETWORKING}" != "yes" ]; then
+ echo "Cannot start $ID: Networking not configured"
+ exit 1
+ fi
+ [ -f "$CFG_FILE" ] || exit 0
+
echo -n $"Starting $ID: "
daemon $RGMGRD $RGMGR_OPTS
echo
@@ -141,4 +138,10 @@
rm -f /var/lock/subsys/rgmanager
log_and_print $LOG_NOTICE "$ID is stopped."
;;
+ *)
+ echo "usage: $0 {start|restart|condrestart|reload|status|stop}"
+ exit 1
+ ;;
esac
+
+exit 0
next reply other threads:[~2007-06-15 21:10 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2007-06-15 21:10 lhh [this message]
-- strict thread matches above, loose matches on Subject: below --
2007-06-15 21:11 [Cluster-devel] cluster/rgmanager/init.d rgmanager lhh
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20070615211020.24250.qmail@sourceware.org \
--to=lhh@sourceware.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.